package com.yunzhi.shigongli.event.listener;

import com.yunzhi.shigongli.event.PaySuccessEvent;
import com.yunzhi.shigongli.service.ITaOrderPayService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
public class PaySuccessEventListener implements ApplicationListener<PaySuccessEvent> {
    @Autowired
    ITaOrderPayService iTaOrderPayService;

    @Override
    public void onApplicationEvent(PaySuccessEvent evt) {
        try {
            // 发送消息给商家
            iTaOrderPayService.sendPaySuccessNotifyToShop(evt.getTaOrderPay());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
