package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.entity.TaMpSetting;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 公众号配置 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaMpSettingMapper extends BaseMapper<TaMpSetting> {

    TaMpSetting getByAppAndCode(@Param("appid") String appid, @Param("settingCode") String settingCode);
}
