package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.entity.TaTravel;
import com.yunzhi.shigongli.entity.TaTravelPerson;
import com.yunzhi.shigongli.vo.TravelDataVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 我的行程 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaTravelPersonMapper extends BaseMapper<TaTravelPerson> {

    TravelDataVO getDestinyTravel(@Param("personId") String personId);
}
