package com.yunzhi.shigongli.service;

import com.yunzhi.shigongli.entity.TaTravelItem;
import com.yunzhi.shigongli.vo.TravelItemDataVO;

import java.util.List;


/**
 * <p>
 * 行程表 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaTravelItemService extends IBaseService<TaTravelItem> {

    Integer getMaxNoOf(String travelId, Integer dayOrder);

    List<TravelItemDataVO> getTravelItemDetails(String travelId);

    List<TravelItemDataVO> updateTravelItems(String travelId, List<TravelItemDataVO> travelItemList) throws Exception;
}
