package com.yunzhi.shigongli.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel(value="TravelDataVO", description="行程数据")
@Data
public class TravelDataVO {
    @ApiModelProperty(value = "行程ID")
    private String travelId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "天数")
    private Integer dayNum;

    @ApiModelProperty(value = "是否命定行程")
    private Boolean isDestiny;

    @ApiModelProperty(value = "是否系统内定")
    private Boolean isSystem;

    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "序号")
    private String serialNo;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "是否隐藏")
    private Boolean isHidden;

    @ApiModelProperty(value = "行程地点")
    List<TravelItemDataVO> travelItemList;
}
