package com.yunzhi.shigongli.event;

import com.yunzhi.shigongli.entity.TaShareOpen;
import org.springframework.context.ApplicationEvent;

/**
 * 打开分享事件
 */
public class OpenShareEvent extends ApplicationEvent {

    TaShareOpen taShareOpen;

    public OpenShareEvent(Object source, TaShareOpen taShareOpen) {
        super(source);
        this.taShareOpen = taShareOpen;
    }

    public TaShareOpen getTaShareOpen() {
        return taShareOpen;
    }
}
