package com.yunzhi.shigongli.mapper;

import com.yunzhi.shigongli.entity.TaRoomOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 房源订单 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaRoomOrderMapper extends BaseMapper<TaRoomOrder> {

    List<Map<String, Object>> getCheckoutList(@Param("date") String date);
}
