package com.yunzhi.shigongli.service;

import com.yunzhi.shigongli.entity.TaNoteResource;
import com.yunzhi.shigongli.entity.TaResource;
import com.yunzhi.shigongli.vo.ResourceListVO;

import java.util.List;


/**
 * <p>
 * 笔记资源 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaNoteResourceService extends IBaseService<TaNoteResource> {
    boolean updateResource(String noteId, List<TaNoteResource> resourceList) throws Exception;

    List<TaNoteResource> getListBy(String noteId);

    List<ResourceListVO> getResourceListBy(String noteId, String personId);
}
