package com.yunzhi.shigongli.vo;

import com.yunzhi.shigongli.entity.TaResource;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@ApiModel(value="ResourceListVO 资源列表", description="资源列表")
@Data
public class ResourceListVO extends TaResource {

    @ApiModelProperty(value = "是否收藏")
    Integer isSaved;

    @ApiModelProperty(value = "距离")
    Float distance;

    @ApiModelProperty(value = "是否种草")
    Integer isVisited;

    @ApiModelProperty(value = "区位ID")
    private String areaId;

    @ApiModelProperty(value = "区位名称")
    private String areaName;

    @ApiModelProperty(value = "区位父级名称")
    private String areaPName;
}
