package com.yunzhi.shigongli.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel(description = "行程列表")
@Data
public class TravelListVO {
    @ApiModelProperty("行程ID")
    String travelId;

    @ApiModelProperty("创建人昵称")
    String nickName;

    @ApiModelProperty("创建人手机")
    String phone;

    @ApiModelProperty("创建时间")
    LocalDateTime createDate;

    @ApiModelProperty("行程内容")
    String travelContent;
}
